Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.vfs
Class VFSMount

    java.lang.Object
      com.sshtools.daemon.vfs.VFSMount

public class VFSMount
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`VFSMount(java.lang.String mount, java.lang.String path)` Creates a new VFSMount object.

Method Summary
`java.lang.String` | `getMount()` DOCUMENT ME!
`java.lang.String` | `getPath()` DOCUMENT ME!
`java.util.Map` | `getPermissions()` DOCUMENT ME!
`boolean` | `isRoot()` DOCUMENT ME!
`void` | `setPermissions(VFSPermission permissions)` DOCUMENT ME!
`void` | `setRoot(boolean isroot)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VFSMount

    public VFSMount(java.lang.String mount,
                    java.lang.String path)
             throws java.io.IOException

  Creates a new VFSMount object.

Parameters:
  `mount` - DOCUMENT ME!
  `path` - DOCUMENT ME!
Throws:
  `java.io.IOException` - DOCUMENT ME!

Method Detail

### isRoot

    public boolean isRoot()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setRoot

    public void setRoot(boolean isroot)

  DOCUMENT ME!

  Parameters:
    `isroot` - DOCUMENT ME!

### setPermissions

    public void setPermissions(VFSPermission permissions)

  DOCUMENT ME!

  Parameters:
    `permissions` - DOCUMENT ME!

### getPath

    public java.lang.String getPath()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getMount

    public java.lang.String getMount()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPermissions

    public java.util.Map getPermissions()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD